<?xml version="1.0" encoding="utf-8"?>
<LinearLayout android:orientation="vertical"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    xmlns:android="http://schemas.android.com/apk/res/android">

    <LinearLayout
        android:gravity="center_vertical"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent">

        <ScrollView
            android:scrollbarAlwaysDrawVerticalTrack="false"
            android:id="@+id/preview_dashboard_v"
            android:background="#ffebebeb"
            android:scrollbars="vertical"
            android:fadingEdge="vertical"
            android:layout_width="0.0dip"
            android:layout_height="fill_parent"
            android:layout_weight="1.0">

            <LinearLayout
                android:orientation="vertical"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btnGetStatus"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btngetprinterstatus" />

                <Button
                    android:id="@+id/btnOpenCashDrawer"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="visible"
                    android:text="@string/activity_esc_function_btnopencashdrawer" />

                <Button
                    android:id="@+id/btnSampleReceipt"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btnsamplereceipt" />

                <Button
                    android:id="@+id/btn1DBarcodes"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btn1dbarcodes" />

                <Button
                    android:id="@+id/btnQRCode"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btnqrcode" />

                <Button
                    android:id="@+id/btnPDF417"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    android:text="@string/activity_esc_function_btnpdf417" />

                <Button
                    android:id="@+id/btnCut"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="gone"
                    android:text="@string/activity_esc_function_btncut" />

                <Button
                    android:id="@+id/btnTextFormat"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btntextformatting" />

                <Button
                    android:id="@+id/btnPrintImageFile"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btnprintimagefile" />

                <Button
                    android:id="@+id/btnPageMode"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="gone"
                    android:text="@string/activity_esc_function_btnpagemode" />

                <Button
                    android:id="@+id/btnSN"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btngetsn" />

                <Button
                    android:id="@+id/btnprintself"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="gone"
                    android:text="@string/activity_main_printself" />

                <Button
                    android:id="@+id/btnboxstatus"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_main_box_status" />

                <Button
                    android:id="@+id/btnsiyuan"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="gone"
                    android:text="打印思源字体" />

                <Button
                    android:id="@+id/btn_quantity"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_esc_function_btngetremainingpower" />

                <Button
                    android:id="@+id/btn_density"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="gone"
                    android:text="@string/activity_main_density" />

                <Button
                    android:id="@+id/btn_network"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="gone"
                    android:text="@string/activity_main_network" />
                <Button
                    android:id="@+id/btn_set_network"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:visibility="gone"
                    android:text="@string/activity_main_set_network" />
                <Button
                    android:id="@+id/btn_print_table"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_main_print_table" />
                <Button
                    android:id="@+id/btnPrintEnd"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:onClick="onClickDo"
                    android:text="@string/activity_main_print_end" />


            </LinearLayout>
        </ScrollView>
    </LinearLayout>
</LinearLayout>
